Autor Tópico: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]  (Lida 26267 vezes)

Creto

  • Visitante
Re: Problema na instalação do Google Chrome - Linux Mint 13
« Resposta #15 Online: 17 de Outubro de 2013, 20:24 »
Sabe o que é isso amigo?

Vou te contar é >>isso ainda não há quem faça eu confiar nas iniciais PPA.

Conforme a página Linux Software Repositories a forma correta de ter o Google Chrome Stable pode ser feita da seguinte forma (primeiro remova essa linha da sua sources.list:

http://www.ubuntuupdates.org/ppa/google_chrome

Agora a batalha (como estamos no LM):

Código: [Selecionar]
sudo pluma /etc/apt/sources.list
Inserir a seguinte linha:
deb http://dl.google.com/linux/deb/ stable main

No terminal:

Código: [Selecionar]
sudo wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
Código: [Selecionar]
sudo apt-get update
Verificando:

Código: [Selecionar]
apt-cache policy google-chrome
Espero que tenha lhe sido útil de alguma forma.

T+

Offline Arthur Bernardes

  • Usuário Ubuntu
  • *
  • Mensagens: 4.692
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13
« Resposta #16 Online: 17 de Outubro de 2013, 20:52 »
Certo amigo, fiz novamente.

Resposta do apt-get update.



Código: (apt-cache policy google-chrome) [Selecionar]
google-chrome:
  Instalado: (nenhum)
  Candidato: (nenhum)
  Tabela de versão:

Nada ainda!! :(



Tentei instalar, veja:

Código: (sudo apt-get install google-chrome-stable) [Selecionar]
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
 google-chrome-stable : Depende: lib32gcc1 (>= 1:4.1.1) mas não é instalável
                        Depende: lib32stdc++6 (>= 4.6) mas não é instalável
                        Depende: libc6-i386 (>= 2.11) mas não é instalável
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

Código: (sudo apt-get -f install) [Selecionar]
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
« Última modificação: 17 de Outubro de 2013, 21:08 por Arthur Bernardes »

Offline AndersRodigrue

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13
« Resposta #17 Online: 18 de Outubro de 2013, 00:49 »
Galera, consegui resolver o problema com a ajuda dos usuários russos. Ah, aquelas pestes...

Enfim, um cara criou os pacotes para as dependências que o Chrome exige e é só baixar e instalar. Segundo eles, os pacotes são vazios. Apenas criaram param suprir as dependências do Chrome.

Aqui o link: https://drive.google.com/folderview?id=0B2TqAdaq593zNGRpNDFZX2NzM0E&usp=sharing

Feito isso, é fazer o download do Chrome normalmente e instalar.

Um abraço!
« Última modificação: 18 de Outubro de 2013, 03:57 por AndersRodigrue »

Offline Arthur Bernardes

  • Usuário Ubuntu
  • *
  • Mensagens: 4.692
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #18 Online: 18 de Outubro de 2013, 08:41 »
Cara, era isso mesmo que eu precisava, deu tudo certo, instalou 100%.

Obrigado pela ajuda, forte abraço!! Obrigado também à todos que tentaram ajudar. Dou por resolvido!

« Última modificação: 18 de Outubro de 2013, 08:49 por Arthur Bernardes »

Offline Visterine

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #19 Online: 19 de Outubro de 2013, 00:33 »
É seguro instalar esses pacotes "genéricos"???
Linux Mint 17.2 Cinnamon AMD Athlon II X4 2.8Ghz Ram 8Gb NVidia GeForce GT 610
Ubuntu 14.04 / Linux Mint 17.2 XFCE Intel Core 2 Duo 3Ghz Ram 4Gb

Creto

  • Visitante
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #20 Online: 19 de Outubro de 2013, 00:35 »
Sei lá ???

T +

Offline Visterine

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #21 Online: 19 de Outubro de 2013, 00:45 »
Sei lá ???

T +

Creto tem como testá-los?
Linux Mint 17.2 Cinnamon AMD Athlon II X4 2.8Ghz Ram 8Gb NVidia GeForce GT 610
Ubuntu 14.04 / Linux Mint 17.2 XFCE Intel Core 2 Duo 3Ghz Ram 4Gb

Creto

  • Visitante
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #22 Online: 19 de Outubro de 2013, 00:50 »
Amigo eu não digo o que fazer, mas digo o que não faço:

Se não esta nos repositorios não quero!
:)

T +

Offline Visterine

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #23 Online: 19 de Outubro de 2013, 00:55 »
ok
Linux Mint 17.2 Cinnamon AMD Athlon II X4 2.8Ghz Ram 8Gb NVidia GeForce GT 610
Ubuntu 14.04 / Linux Mint 17.2 XFCE Intel Core 2 Duo 3Ghz Ram 4Gb

Offline Sampayu

  • Usuário Ubuntu
  • *
  • Mensagens: 498
  • "Não é possível semear de mãos fechadas"
    • Ver perfil
    • YouTube
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #24 Online: 19 de Outubro de 2013, 00:57 »
O problema está ocorrendo nos sistemas GNU/Linux de 32 bits e ocorre pelo seguinte motivo: o pacote foi escrito para sistemas de 32 bits mas está pedindo bibliotecas que só existem em sistemas de 64 bits. Foi um equívoco da equipe do Google:

  • O pacote pede a biblioteca lib32gcc1, mas no sistema de 32 bits a biblioteca correta é a libgcc1.
  • O pacote pede a biblioteca lib32stdc++6, mas no sistema de 32 bits a biblioteca correta é a libstdc++6.
  • O pacote pede a biblioteca libc6-i386, mas no sistema de 32 bits a biblioteca correta é a libc6.

Existem várias maneiras (mais de 10!) de resolver esse problema e este meu post ficará gigantesco se eu for enumerar todas elas, portanto vou enumerar só algumas das que eu acho mais práticas. Uma delas consiste em desinstalar o seu Google Chrome e em seguida instalar a última versão instável dele. Para fazer isso, execute estes comandos, no terminal (na exata sequência em que eles aparecem):
Código: [Selecionar]
sudo apt-get remove google-chrome-stable
Código: [Selecionar]
sudo apt-get install google-chrome-unstable
Outra maneira consiste em aguardar a equipe do Google resolver o bug do pacote. Enquanto isso, vá usando a versão estável do Google Chrome que se encontrava instalado em seu sistema. Se durante a tentativa de atualização você danificou o seu navegador, você pode desinstalar seu Google Chrome danificado e instalar uma versão beta, que é menos estável que a versão estável (stable) porém é mais estável que a versão instável (unstable). Para fazer isso, execute estes comandos, no terminal:
Código: [Selecionar]
sudo apt-get remove google-chrome-stable
Código: [Selecionar]
sudo apt-get clean
Código: [Selecionar]
sudo apt-get install google-chrome-beta
Outra maneira, que foi a que eu adotei, consiste em extrair o conteúdo do pacote .deb, editar (corrigir) o arquivo de controle de dependências e em seguida reconstruir o pacote. Ô loooooco, meu! :o

Quem quiser fazer download do pacote que eu corrigi e estou usando, eu o disponibilizei para download no meu Skydrive. O link para ele é este:

google-chrome-stable_32bits_30.0.1599.101-editado.deb

Se você não confia em mim, tudo bem, seu receio é saudável e perfeitamente compreensível. Neste caso, não faça download do meu pacote: crie o seu próprio!  ;D Eu acabei de criar um tutorial explicando passo-a-passo como é que se faz para extrair o conteúdo de um pacote .deb, editar o arquivo de controle de dependências que se encontra dentro do pacote e, em seguida, reconstruir o pacote .deb usando esse arquivo de controle que foi modificado (corrigido).

Se estiver com preguiça de criar seu próprio pacote .deb e não quiser usar o meu, use alguma outra opção das mencionadas, ou vá usando outro navegador e espere a equipe Google lançar uma nova versão estável do Google Chrome.

Outra alternative é usar a técnica dos russos: vide os posts anteriores.

Eu vou supor que você decidiu fazer download do arquivo acima (pacote que eu criei) e salvá-lo dentro de ~/Downloads

Nota: o ~ é um atalho para a sua pasta pessoal. Exemplo: se a sua conta for fulano, então o caminho para a sua pasta pessoal provavelmente é /home/fulano e, neste caso, ~ é a mesma coisa que /home/fulano. A vantagem do ~ é que ele pode ser usado em qualquer sistema GNU/Linux, porque se a sua pasta pessoal estiver em outro local, como por exemplo /usr/cicrano, o código ~ vai apontar justamente para /usr/cicrano, pois ~ sempre aponta para a pasta pessoal do usuário que está logado no sistema. Eu estou assumindo que dentro da sua pasta pessoal exista uma pasta Downloads e que o seu navegador vá salvar o pacote .deb dentro dessa pasta Downloads aí.

Após fazer download do pacote, abra o terminal e execute os seguintes comandos, na sequência em que eles aparecem (dentro da mesma janela):

1. Comando para desinstalar o Google Chrome antigo (ou desinstalar o Google Chrome cuja instalação parou na metade por causa daquelas dependências quebradas):
Código: [Selecionar]
sudo apt-get remove google-chrome-stable
2. Comandos para limpar o cache (se algum comando perguntar se você deseja desinstalar algo, pode confirmar/autorizar):
Código: [Selecionar]
sudo apt-get clean
Código: [Selecionar]
sudo apt-get purge
Código: [Selecionar]
sudo apt-get autoremove
3. Comando para manualmente instalar o pacote:
Código: [Selecionar]
sudo dpkg -i ~/Downloads/google-chrome-stable_32bits_30.0.1599.101-editado.deb
Nota: se você salvou o arquivo .deb em outro local que não seja ~/Downloads, substitua ~/Downloads pelo caminho correto.

4. Comando para fazer com que o root (usuário raiz do sistema) seja o proprietário da "caixa de areia" (sandbox) do Google Chrome (medida de segurança sem a qual o navegador não funciona):
Código: [Selecionar]
sudo chown root /opt/google/chrome/chrome-sandbox
6. Comando para fazer com que somente o root (ou o usuário temporariamente com perfil de superusuário) consiga editar o arquivo de sandbox e os demais usuários consigam apenas ler e executar a sandbox (isto também é uma medida de segurança, sem a qual o navegador também não vai funcionar):
Código: [Selecionar]
sudo chmod 4755 /opt/google/chrome/chrome-sandbox
Pronto. Agora o seu Google Chrome está instalado na última e mais estável versão disponível.  ;)

Quando surgir uma nova versão estável do Google Chrome, desinstale manualmente o pacote com estes comandos:
Código: [Selecionar]
sudo su
Código: [Selecionar]
dpkg -r google-chrome-stable
Código: [Selecionar]
apt-get clean
Código: [Selecionar]
apt-get purge
Código: [Selecionar]
apt-get autoremove
...e daí feche a janela do terminal, acesse a página oficial de download do Google Chrome, faça download do novo pacote .deb e execute-o para instalá-lo em seu sistema.  8)

PS: se o comando autoremove perguntar se você deseja desinstalar o(s) pacote(s), responda que sim, ou seja, confirme que deseja desinstalá-lo(s). Isso removerá pacote(s) que não seja(m) mais necessário(s).
« Última modificação: 19 de Outubro de 2013, 21:25 por Sampayu »
Yuri Sucupira ("Sampayu")

Offline Arthur Bernardes

  • Usuário Ubuntu
  • *
  • Mensagens: 4.692
    • Ver perfil
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #25 Online: 19 de Outubro de 2013, 08:21 »
Gostei muito do seu post, e pra mim o importante é que funcione, e bem (com segurança).

Estou saindo para viagem, mas assim que chegar vou testar suas dicas!! Muito obrigado! :)

Offline Sampayu

  • Usuário Ubuntu
  • *
  • Mensagens: 498
  • "Não é possível semear de mãos fechadas"
    • Ver perfil
    • YouTube
Re: Problema na instalação do Google Chrome - Linux Mint 13 [Resolvido]
« Resposta #26 Online: 19 de Outubro de 2013, 12:09 »
Bacana. Qualquer problema poste aqui que, no que estiver ao meu alcance, eu respondo. Abraço.  :)
Yuri Sucupira ("Sampayu")